/*
 * SectorList.java
 *
 * Created on 30 de septiembre de 2004, 19:28
 */

package com.fenalco.entities;

import java.util.Hashtable;
import java.util.Vector;

import com.fenalco.utilities.database.QueryException;
import com.fenalco.utilities.database.SQLUtilities;

/**
 * 
 * @author Juan Ernesto Peña Kaltekis
 */
public class SectorList
{

	/**
	 * Este <CODE>Hashtable</CODE> agrupa los objetos del tipo <CODE>Sector
	 * </CODE> que conforman el listado, está diseñado de la siguiente forma:
	 * key: id de la sección <CODE>sectorId</CODE> value: Objeto del tipo
	 * <CODE>Sector</CODE>
	 */
	private Vector sectors;

	/** Constructor por defecto de la clase */
	public SectorList( )
	{
		this.sectors = new Vector();
		this.loadData();
	}

	/**
	 * Este método carga de base de datos todos los registros de la tabla
	 * seccion en el atributo sections.
	 */
	public boolean loadData( )
	{
		// TODO: implement
		try
		{
			Vector results = new Vector();
			results = SQLUtilities
					.query("SELECT sect_codigo FROM sector ORDER BY sect_nombre;");
			for( int i = 0; i < results.size(); i++ )
			{
				Hashtable temp = new Hashtable();
				temp = (Hashtable) results.elementAt(i);
				Integer key = (Integer) temp.get("sect_codigo");
				this.sectors.addElement(new Sector(key.intValue()));
			}
		}
		catch (QueryException qe)
		{
			System.out.println(qe.getMessage());
			return false;
		}
		return true;
	}

	/**
	 * Consultor para el atributo sections.
	 * 
	 * @return Valor del atributo sections.
	 */
	public Vector getSectors( )
	{
		return this.sectors;
	}

	/**
	 * Modificador para el atributo sections.
	 * 
	 * @param sections
	 *            Nuevo valor del atributo sections.
	 */
	public void setSectors( Vector sectors )
	{
		this.sectors = sectors;
	}

}